package shop.itbug.xiaomi_badger.util

import android.content.ComponentName
import android.content.Context
import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.util.Log
import me.leolin.shortcutbadger.ShortcutBadgeException
import me.leolin.shortcutbadger.util.BroadcastHelper


class OppoBadgeUtil {



    companion object {

        private val PROVIDER_CONTENT_URI = "content://com.android.badge/badge"
        private val INTENT_ACTION = "com.oppo.unsettledevent"
        private val INTENT_EXTRA_PACKAGENAME = "pakeageName"
        private val INTENT_EXTRA_BADGE_COUNT = "number"
        private val INTENT_EXTRA_BADGE_UPGRADENUMBER = "upgradeNumber"
        private val INTENT_EXTRA_BADGEUPGRADE_COUNT = "app_badge_count"
        private var mCurrentTotalCount = -1

        fun executeBadge(context: Context,  badgeCount: Int) {
            if (mCurrentTotalCount == badgeCount) {
                return
            }
            mCurrentTotalCount = badgeCount
            sendType2(context, badgeCount)
            sendType1(context,badgeCount)
        }

        fun sendType1(context: Context,count: Int) {
            var badgeCount = count
            if (badgeCount == 0) {
                badgeCount = -1
            }
            val intent = Intent(INTENT_ACTION)
            intent.putExtra(INTENT_EXTRA_PACKAGENAME, context.packageName)
            intent.putExtra(INTENT_EXTRA_BADGE_COUNT, badgeCount)
            intent.putExtra(INTENT_EXTRA_BADGE_UPGRADENUMBER, badgeCount)
            BroadcastHelper.sendIntentExplicitly(context, intent)
            Log.d("梁典典:","发送小红点成功--->sendType1")
        }

        private fun sendType2(context: Context, count: Int) {
            try {
                val extras = Bundle()
                extras.putInt(INTENT_EXTRA_BADGEUPGRADE_COUNT, count)
                context.contentResolver.call(
                    Uri.parse(PROVIDER_CONTENT_URI),
                    "setAppBadgeCount",
                    null,
                    extras
                )
                Log.d("梁典典:","发送小红点成功--->sendType2")
            } catch (ignored: Throwable) {
                throw ShortcutBadgeException("sendType2 异常: Unable to execute Badge By Content Provider")
            }
        }

    }
}