import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'xiaomi_badger_platform_interface.dart';

/// An implementation of [XiaomiBadgerPlatform] that uses method channels.
class MethodChannelXiaomiBadger extends XiaomiBadgerPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('xiaomi_badger');

  @override
  void setBag(int count, {String? title, String? content}) {
    methodChannel.invokeMapMethod("push", {"badgeCount": count, "title": title ?? '', "content": content ?? ""});
  }

  @override
  void remove() {
    methodChannel.invokeMethod("remove");
  }

  @override
  void setBagWithVivo(int count) {
    methodChannel.invokeMapMethod('vivo-push', {'badgeCount': count});
  }

  @override
  void setBagWithOppo(int count, {String? title, String? content}) {
    methodChannel.invokeMapMethod("oppo-push", {"badgeCount": count, "title": title ?? '', "content": content ?? ""});
  }

  @override
  Future<String> getSystemBrand() async {
    return await methodChannel.invokeMethod("brand");
  }
}
