import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'xiaomi_badger_method_channel.dart';

abstract class XiaomiBadgerPlatform extends PlatformInterface {
  XiaomiBadgerPlatform() : super(token: _token);

  static final Object _token = Object();

  static XiaomiBadgerPlatform _instance = MethodChannelXiaomiBadger();

  static XiaomiBadgerPlatform get instance => _instance;

  static set instance(XiaomiBadgerPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  /// 设置小米的小角标
  void setBag(int count, {String? title, String? content});

  ///移除角标
  void remove();

  ///设置vivo的小角标
  void setBagWithVivo(int count);

  /// 设置oppo的小角标
  void setBagWithOppo(int count, {String? title, String? content});

  ///获取手机厂商
  Future<String> getSystemBrand();
}
